> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profiles

> Returns profiles from the system that the user has access to



## OpenAPI

````yaml GET /profiles/
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /profiles/:
    get:
      description: Returns profiles from the system that the user has access to
      operationId: getProfiles
      responses:
        '200':
          description: A list of profiles
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GETProfile'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    GETProfile:
      type: object
      required:
        - name
        - method
        - fromAddress
        - mailServer
        - mailServerPort
        - customPort
        - useSSLTLS
      properties:
        name:
          type: string
          description: Name of the user
        method:
          type: string
          description: Method used for the profile
        fromAddress:
          type: string
          description: Originating address of the profile
        mailServer:
          type: string
          description: Mail server address used for the profile
        mailServerPort:
          type: integer
          description: Port used by the mail server
          format: int32
        customPort:
          type: boolean
          description: Indicates if a custom port is used
          default: false
        useSSLTLS:
          type: boolean
          description: Indicates if SSL/TLS is used for the connection
          default: false
        lastUpdatedBy:
          type: string
          description: User who last updated the profile
        lastModified:
          type: string
          description: Date and time when the profile was last modified
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````